import { jsx } from "react/jsx-runtime";
import { OfficeChairIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const OfficeChair = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "OfficeChair", ...props, children: /* @__PURE__ */ jsx(OfficeChairIcon, { weight: variant }) });
  }
);
OfficeChair.displayName = "OfficeChair";
Object.assign(OfficeChair, { isGdsIcon: true });
export {
  OfficeChair
};
